qpid-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Volker Diels-Grabsch...@njh.eu>
Subject Python support for AMQP 1.0?
Date Wed, 31 Aug 2016 17:00:32 GMT
Dear Qpid developers,

My Python program needs to receive messages from an AMQP 1.0 server.

Which library or combination of libraries do I need?

In other words, how is a Python program meant to communicate with an
AMQP 1.0 server?

My first attempt was qpid-python-1.35.0, where I get an error that
only AMQP 0.10 is supported, not AMQP 1.0.  I'm confused, because I
thought that Qpid-Proton is also written in Python, and that one
supports AMQP 1.0.  Do I need the C++ or Java implementation of Qpid,
and write a wrapper for Python?  Do I have to wait until Qpid-Python
supports AMQP 1.0?

What is the intended way?


Regards,
Volker

-- 
Volker Diels-Grabsch
----<<<((()))>>>----

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@qpid.apache.org
For additional commands, e-mail: users-help@qpid.apache.org


Mime
View raw message